# $Revision: 1.15 $, $Date: 2007-11-25 15:26:41 $
# NOTE
# - build instructions: http://www.eclipse.org/swt/faq.php#howbuilddll
#
# Conditional build:
%bcond_without	gnome		# build without GNOME
%bcond_without	xulrunner	# build without xulrunner
%bcond_without	glx		# build without GLX
%bcond_with	cairo		# build with cairo
#
%define	buildid  200706251500
#define	mver   M6
%define	ver_major  3.3
%define	ver_minor  0
%define	ver_swt    3346

%ifarch %{x8664}
%define	swtsrcdir	plugins/org.eclipse.swt.gtk.linux.x86_64
%define	swtgtkdir	plugins/org.eclipse.swt.gtk.linux.x86_64
%endif

%ifarch ppc
%define swtsrcdir	plugins/org.eclipse.swt.gtk.linux.ppc
%define swtgtkdir	plugins/org.eclipse.swt.gtk.linux.ppc
%endif

%ifarch %{ix86}
%define swtsrcdir	plugins/org.eclipse.swt.gtk.linux.x86
%define swtgtkdir	plugins/org.eclipse.swt.gtk.linux.x86
%endif

%define	eclipse_arch	%(echo %{_target_cpu} | sed 's/i.86/x86/;s/athlon/x86/;s/pentium./x86/')

Summary:	SWT - a widget toolkit for Java
Summary(pl.UTF-8):	SWT - zestaw widgetów dla Javy
Name:		eclipse-swt
Version:	%{ver_major}
#Release:	0.%{mver}_%{buildid}.1
Release:	1
License:	CPL v1.0
Group:		Libraries
#Source0:	http://download.eclipse.org/downloads/drops/S-%{ver_major}%{mver}-%{buildid}/eclipse-sourceBuild-srcIncluded-%{ver_major}%{mver}.zip
Source0:	http://download.eclipse.org/eclipse/downloads/drops/R-%{ver_major}-%{buildid}/eclipse-sourceBuild-srcIncluded-%{version}.zip
# Source0-md5:	91c688221479986dbdd7d1a0771f04cc
Patch0:		%{name}-NULL.patch
URL:		http://www.eclipse.org/swt/
%{?with_glx:BuildRequires:	OpenGL-devel}
BuildRequires:	ant >= 1.6.1
BuildRequires:	atk-devel
%{?with_cairo:BuildRequires:  cairo-devel}
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	jdk >= 1.4
%{?with_gnome:BuildRequires:  libgnomeui-devel}
%{?with_xulrunner:BuildRequires:	libstdc++-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	unzip
%{?with_xulrunner:BuildRequires:	xulrunner-devel}
BuildRequires:	zip
Requires:	ant
Requires:	jdk >= 1.4
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SWT is a widget toolkit for Java designed to provide efficient,
portable access to the user-interface facilities of the operating
systems on which it is implemented.

%description -l pl.UTF-8
SWT to zestaw widgetów dla Javy zaprojektowany aby dostarczyć wydajny,
przenośny dostęp do udogodnień interfejsu użytkownika na tych
systemach operacyjnych, na których został zaimplementowany.

%prep
%setup -q -c
%ant -f %{swtsrcdir}/build.xml src.zip
mkdir swt
cd swt
%{__unzip} -qq -o ../%{swtsrcdir}/src.zip
%patch0 -p0

%build
%{__make} -f make_linux.mak -C swt \
	make_swt make_atk \
	%{?with_glx:make_glx} \
	%{?with_gnome:make_gnome} \
	%{?with_cairo:make_cairo} \
	%{?with_xulrunner:make_xulrunner XULRUNNER_INCLUDES="$(pkg-config --cflags xulrunner-xpcom)"} \
	JAVA_HOME="%{java_home}" \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	XTEST_LIB_PATH=%{_prefix}/X11R6/%{_lib} \
	OPT="%{rpmcflags}"

%ant -f %{swtsrcdir}/build.xml build.jars

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install %{swtsrcdir}/swt.jar $RPM_BUILD_ROOT%{_javadir}

dir=%{_libdir}/swt/%{swtgtkdir}_%{ver_major}.%{ver_minor}/os/linux/%{eclipse_arch}
install -d $RPM_BUILD_ROOT$dir
for a in swt/libswt-*.so; do
	install $a $RPM_BUILD_ROOT$dir
	lib=${a##*/}
	ln -sf ${dir#%{_libdir}/swt/}/$lib $RPM_BUILD_ROOT%{_libdir}/swt
done

%if %{with cairo}
install swt/libcairo.so* $RPM_BUILD_ROOT%{_libdir}/swt
%endif

install swt/*.html $RPM_BUILD_ROOT%{_libdir}/swt
cp -a swt/about_files $RPM_BUILD_ROOT%{_libdir}/swt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/swt
%dir %{_libdir}/swt/%{swtgtkdir}_*.*.*
%dir %{_libdir}/swt/%{swtgtkdir}_*.*.*/os
%dir %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux
%dir %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}
%{_javadir}/swt.jar
%{_libdir}/swt/about_files
%{_libdir}/swt/about.html
%{_libdir}/swt/libswt-*-%{ver_swt}.so
%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-atk-gtk-*.so
%{?with_glx:%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-glx-gtk-*.so}
%{?with_gnome:%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-gnome-gtk-*.so}
%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-gtk-*.so
%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-pi-gtk-*.so
%{?with_xulrunner:%attr(755,root,root) %{_libdir}/swt/%{swtgtkdir}_*.*.*/os/linux/%{eclipse_arch}/libswt-xulrunner-gtk-*.so}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-swt.spec,v $
Revision 1.15  2007-11-25 15:26:41  glen
- assume strip/chrpath hacks no longer needed (present since r1.1 with no reference)

Revision 1.14  2007-11-25 14:09:12  qboosh
- should be df-friendly now
- unified a little, reduced macros (_o_v_e_r)_underscoring

Revision 1.13  2007-11-25 13:12:39  glen
- relative symlinks; rel 1

Revision 1.12  2007-11-25 12:55:42  glen
- nognome, makefile patches outdated

Revision 1.11  2007-11-25 12:48:52  glen
- updated to 3.3, awt dropped, mozilla replaced with xulrunner, glx is new
- spec cleanups and simplify

Revision 1.10  2007-02-12 21:23:54  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.8  2006/11/13 14:54:48  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.7  2006/06/22 10:02:22  adamg
- updated to 3.1.2
- reversed cairo bcond for now

Revision 1.6  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.5  2005/11/24 20:39:13  megabajt
- update to 3.1.1
- now create also swt.jar
- add symlinks to libswt-*
- build, but without cairo
- release 0.1

Revision 1.4  2005/10/31 18:59:47  adamg
- builds (--without cairo)

Revision 1.3  2005/07/01 21:03:10  qboosh
- pl, missing dir, some cleanups

Revision 1.2  2005/06/30 21:48:40  djurban
- fix cairo bcond

Revision 1.1  2005/06/30 21:45:06  djurban
- Wrote: /home/users/djurban/rpm/RPMS/eclipse-swt-3.1-0.1.athlon.rpm
- didn't check cairo and gnome stuff
